View Issue Details

IDProjectCategoryView StatusLast Update
08917Bug reportsPluginspublic2015-07-20 16:25
Reporterpeterhol Assigned Tomdekker  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version2.05+ 
Fixed in Version2.05+ 
Summary08917: Error in R Export plugin
DescriptionWhen exporting data to R, and running the generated syntax to import the data to R, answers to multiple choice questions seemed "inverted"... I think this has to do with something that could be a typo in application/core/plugins/ExportR/RDataWriter.php .

When changing the following lines:
        $oOptions->convertN = true;
        $oOptions->nValue = 1;
        $oOptions->convertY = true;
        $oOptions->yValue = 2;
to
        $oOptions->convertN = true;
        $oOptions->nValue = 0;
        $oOptions->convertY = true;
        $oOptions->yValue = 1;
and exporting the data again – I got the correct data in R!
Steps To Reproducecreate and answer a survey with a multiple choice question
export syntax and R data file
import to R
check the data with edit(data)
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.05+ Build 140320
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionunkown
Server OS (if known)mac os x
Webserver software & version (if known)apache
PHP Version5.3.x

Activities

c_schmitz

c_schmitz

2014-03-29 18:38

administrator   ~29609

Thank you!
c_schmitz

c_schmitz

2014-03-29 18:39

administrator   ~29610

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14091
mdekker

mdekker

2014-03-31 14:38

reporter   ~29621

Yes/No questions have 1/2 as value and will no longer work using this fix.

I will commit a better fix later today
c_schmitz

c_schmitz

2014-03-31 14:42

administrator   ~29622

Ah ok, thanks for the insight and your help.
mdekker

mdekker

2014-03-31 15:46

reporter   ~29627

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14097
mdekker

mdekker

2014-03-31 15:54

reporter   ~29628

@peterhol: Can you please check if this still fixes your problem?
peterhol

peterhol

2014-04-01 09:28

reporter   ~29634

Looking good!
c_schmitz

c_schmitz

2014-04-04 10:26

administrator   ~29656

2.05+ Build 140404 released.
c_schmitz

c_schmitz

2015-05-08 12:28

administrator   ~32137

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15142
c_schmitz

c_schmitz

2015-05-08 12:30

administrator   ~32138

Fix committed to 2.06 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15143
c_schmitz

c_schmitz

2015-07-20 16:25

administrator   ~32726

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15580

Related Changesets

LimeSurvey: master 6ec68618

2014-03-29 17:39:02

c_schmitz

Details Diff
Fixed issue 08917: Error in R Export plugin - patch by peterhol Affected Issues
08917
mod - application/core/plugins/ExportR/RDataWriter.php Diff File

LimeSurvey: master eee2135d

2014-03-31 13:12:30

mdekker

Details Diff
Fixed issue 08917: Error in R Export plugin
dev: probably some more can be done for the 'not available' answers, but should be fine for now
Affected Issues
08917
mod - application/core/plugins/ExportR/RDataWriter.php Diff File

LimeSurvey: master a03bbcf4

2014-03-31 13:44:38

mdekker

Details Diff
Fixed issue 08917: Error in R Export plugin
dev: now exporting checked/unchecked/not shown correct and leaving other and comment values as is
Affected Issues
08917
mod - application/core/plugins/ExportR/RDataWriter.php Diff File
mod - application/helpers/admin/export/Writer.php Diff File

LimeSurvey: master 8d25f5ea

2015-05-08 10:28:25

c_schmitz

Details Diff
Fixed issue 08917: Error in R export plugin when exporting Yes/No question results Affected Issues
08917, 09392
mod - application/core/plugins/ExportR/RDataWriter.php Diff File

LimeSurvey: 2.06 00efa6c7

2015-05-08 10:28:25

c_schmitz

Details Diff
Fixed issue 08917: Error in R export plugin when exporting Yes/No question results Affected Issues
08917
mod - application/core/plugins/ExportR/RDataWriter.php Diff File

LimeSurvey: master 7cec2f99

2015-07-20 14:25:07

c_schmitz

Details Diff
Fixed issue 08917: Error in R export plugin when exporting Yes/No question results Affected Issues
08917
mod - application/core/plugins/ExportR/RDataWriter.php Diff File

Issue History

Date Modified Username Field Change
2014-03-28 15:17 peterhol New Issue
2014-03-29 18:37 c_schmitz Assigned To => c_schmitz
2014-03-29 18:37 c_schmitz Status new => assigned
2014-03-29 18:38 c_schmitz Note Added: 29609
2014-03-29 18:38 c_schmitz Status assigned => resolved
2014-03-29 18:38 c_schmitz Fixed in Version => 2.05+
2014-03-29 18:38 c_schmitz Resolution open => fixed
2014-03-29 18:39 c_schmitz Changeset attached => LimeSurvey master 6ec68618
2014-03-29 18:39 c_schmitz Note Added: 29610
2014-03-31 14:38 mdekker Note Added: 29621
2014-03-31 14:38 mdekker Status resolved => feedback
2014-03-31 14:38 mdekker Resolution fixed => reopened
2014-03-31 14:38 mdekker Assigned To c_schmitz => mdekker
2014-03-31 14:38 mdekker Status feedback => assigned
2014-03-31 14:42 c_schmitz Note Added: 29622
2014-03-31 15:46 mdekker Changeset attached => LimeSurvey master eee2135d
2014-03-31 15:46 mdekker Changeset attached => LimeSurvey master a03bbcf4
2014-03-31 15:46 mdekker Note Added: 29627
2014-03-31 15:54 mdekker Note Added: 29628
2014-04-01 09:28 peterhol Note Added: 29634
2014-04-01 10:54 mdekker Status assigned => resolved
2014-04-01 10:54 mdekker Resolution reopened => fixed
2014-04-04 10:26 c_schmitz Note Added: 29656
2014-04-04 10:26 c_schmitz Status resolved => closed
2015-05-08 12:28 c_schmitz Changeset attached => LimeSurvey master 8d25f5ea
2015-05-08 12:28 c_schmitz Note Added: 32137
2015-05-08 12:30 c_schmitz Changeset attached => LimeSurvey 2.06 00efa6c7
2015-05-08 12:30 c_schmitz Note Added: 32138
2015-07-20 16:25 c_schmitz Changeset attached => LimeSurvey master 7cec2f99
2015-07-20 16:25 c_schmitz Note Added: 32726